package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品
 * @TableName  official_account_article
 */
@Data
@TableName(value = "official_account_article")
public class OfficialAccountArticle implements Serializable {

    /**
     * 文章id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 文章标题
     */
    private String title;


    /**
     * 文章图片
     */
    private String image;


    /**
     * 发布时间
     */
    private String publishTime;


    /**
     * 文章链接
     */
    private String url;



    @Serial
    private static final long serialVersionUID = 1L;
}
